import 'package:e_commerce_training/src/model/repository/app_repository.dart';
import 'package:e_commerce_training/src/page/course_quiz/course_quiz_state.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

class CourseQuizCubit extends Cubit<CourseQuizState> {
  final AppRepository repository;
  bool check = true;

  CourseQuizCubit(this.repository) : super(InitialCourseQuizState());

  void checkBox(bool isCheck) {
    emit(CourseQuizLoading());
    this.check = !isCheck;
    emit(InitialCourseQuizState());
  }
}
